{% extends 'dashboard/dashboard_content.html' %}


{% block rightPane %}

    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-plus-circle"></i>
                Internal Marks
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <ul class="nav nav-tabs bar_tabs">
                    {% for course in courseList %}
                        {% if forloop.counter == 1 %}
                            <li {% if staffCoursePk == course.staff_course_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="true"
                                   id={{ course.staff_course_instance.pk }}
                                           data-toggle="tab" name="staffCourseTab"
                                   onmouseover="$(this).css('cursor', 'pointer')">
                                    {{ course.display_text }}

                                </a>
                            </li>
                        {% else %}
                            <li {% if staffCoursePk == course.staff_course_instance.pk %}class="active" {% else %}
                                class="" {% endif %}>
                                <a aria-expanded="false"
                                   id={{ course.staff_course_instance.pk }}
                                           data-toggle="tab" name="staffCourseTab"
                                   onmouseover="$(this).css('cursor', 'pointer')">
                                    {{ course.display_text }}
                                </a>
                            </li>
                        {% endif %}
                    {% endfor %}
                </ul>

                <div class="row">
                    <form class="form-horizontal form-label-left" method="POST">{% csrf_token %}
                        <input type="hidden" name="hiddenStaffCoursePk" value="{{ staffCoursePk }}">
                        <div class="form-group">
                            <div class="form-group">
                                <label class="control-label col-md-4 col-md-offset-1 col-sm-3 col-xs-12">
                                    Bulk Update Section
                                </label>
                                <div class="col-md-6 col-sm-6 col-xs-12">
                                    <select class="selectpicker" name="updateSection"
                                            title="Choose any division" required>
                                        <option value="modals">Modals</option>
                                        <option value="record">Record</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="col-md-2 col-md-offset-5 col-sm-6 col-xs-12">
                                    <button name="getSection" type="submit" class="btn1 btn-dark-green">
                                        Update Marks
                                    </button>
                                </div>
                            </div>

                        </div>
                    </form>

                </div>

                <div class="col-md-offset-10">
                    <button type="button" class="btn btn-primary" id='print'>
                        Generate PDF
                    </button>
                </div>
                <div class="x_content" id="maincontent">
                    <form method="POST" id="attendance_form">{% csrf_token %}
                        <div class="table-responsive">
                            <table class="table table-striped" id="id_internals_marks_old_lab">
                                <thead>
                                <tr>
                                    <th>S.No.</th>
                                    <th>Register Number</th>
                                    <th>Student Name</th>
                                    <th>Modals (Out of 100)</th>
                                    <th>Record (Out of 40)</th>
                                    <th>Attendance (Out of 10)</th>
                                    <th>Total (Out of 100)</th>
                                    <th>Student Approval</th>
                                </tr>
                                </thead>
                                <tbody>
                                {% for student in studentList %}
                                    <tr>
                                        <td>{{ forloop.counter }}</td>
                                        <td>
                                            {{ student.registration_number }}
                                        </td>
                                        <td>
                                            {{ student.student_name }}
                                        </td>
                                        <td>
                                            {% if student.internal_mark_instance.modalMarks %}
                                                {{ student.internal_mark_instance.modalMarks }}
                                            {% endif %}
                                        </td>
                                        <td>
                                            {% if student.internal_mark_instance.recordMarks %}
                                                {{ student.internal_mark_instance.recordMarks }}
                                            {% endif %}
                                        </td>
                                        <td>
                                            {{ student.attendance_mark }}
                                        </td>
                                        <td>
                                            {{ student.final_assesment_mark }}
                                        </td>
                                        <td>
                                            {% if student.student_approved_status %}
                                                <i class="fa fa-check"></i>
                                            {% else %}
                                                <i class="fa fa-close"></i>
                                            {% endif %}
                                        </td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
    <form id="dummy_form" method="post">
        {% csrf_token %}
    </form>

    <script type="text/javascript">

        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }

        $('document').ready(function () {
            $('[name="staffCourseTab"]').click(function () {

                var $hiddenInput = $('<input/>', {
                    type: 'hidden',
                    value: getCookie('csrftoken'),
                    name: 'csrfmiddlewaretoken'
                });
                $hiddenInput.appendTo('form');

                var $hiddenInput = $('<input/>', {type: 'hidden', value: this.id, name: 'staffCoursePk'});
                $hiddenInput.appendTo('form');

                $('#dummy_form').submit();

            });
        });

        $(document).ready(function() {
            $('#id_internals_marks_old_lab').DataTable( {
                dom: 'Bfrtip',
                buttons: [
                    {
                        extend: 'excelHtml5',
                        title: '{{ selected_course }}' + '_internals_report',
                    },
                    {
                        extend: 'csvHtml5',
                        title: '{{ selected_course }}' + '_internals_report',
                    },
                ]
            } );
        } );

        $('document').ready(function () {
            $('#print').click(function () {
                window.location = '{% url 'internalMarksOldRegulationLabPdfReport' staffCoursePk=staffCoursePk %}';
            });
        });
    </script>


{% endblock %}